rdkit (202409.2-2.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * Changes applied by generate-pgdg-source:
    + Disable inchi support.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 27 Nov 2024 20:11:03 +0100

rdkit (202409.2-2) unstable; urgency=medium

  * debian/rules (DH_AUTO_CONFIGURE_OPTS): Added
    -DRDK_BUILD_PUBCHEMSHAPE_SUPPORT=OFF (Closes: #1088354).

 -- Michael Banck <mbanck@debian.org>  Wed, 27 Nov 2024 20:11:03 +0100

rdkit (202409.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/NoDownloads.patch: Updated.
  * debian/patches/sphinx_imgconverter.patch: Likewise.
  * debian/patches/sphinx_compile_fixes.patch: Likewise.
  * debian/patches/pg16: Removed, no longer needed.
  * debian/control.in, debian/control (Build-Depends): Added
    libboost-numpy-dev and python3-pytest.
  * debian/patches/disable_pgsql_test.patch: New patch, disables the Postgres
    regression test as no Postgres server is supposed to be running during
    package build and the Postgres extension is tested via autopkgtest.
  * debian/patches/fix_inchi_linking.patch: New patch, fixes linking of
    libRDKitRDInchiLib with libinchi (Closes: #1077055).
  * debian/patches/disable_inchi_test.patch: New patch, disables the INCHI test
    as it times out.
  * debian/control.in, debian/control: Revert back to postgresql-PGVERSION.
  * debian/rules (override_dh_auto_clean): Remove Postgres build directories.
  * debian/rules: Switch to building Postgres extension via cmake. (Closes:
    #1086226).
  * debian/patches/postgres_cmakelists_fixes.patch: New patch, makes the
    Postgres extension CMakefile usable directly.
  * debian/rules (override_dh_auto_build): Re-enable latex documentation build
    (Closes: #1069873).

 -- Michael Banck <mbanck@debian.org>  Tue, 26 Nov 2024 22:46:44 +0100

rdkit (202309.3-7) unstable; urgency=medium

  * No-changes source-only upload.

 -- Andrius Merkys <merkys@debian.org>  Mon, 23 Sep 2024 07:04:09 -0400

rdkit (202309.3-6) unstable; urgency=medium

  * Team upload for PostgreSQL 17.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 20:47:37 +0200

rdkit (202309.3-5) unstable; urgency=medium

  * Add myself to uploaders.
  * Build with inchi support (Closes: #964773)

 -- Andrius Merkys <merkys@debian.org>  Wed, 04 Sep 2024 02:40:47 -0400

rdkit (202309.3-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable for 64-bit time_t transition (Closes: #1064311)

 -- Andrius Merkys <merkys@debian.org>  Tue, 28 May 2024 00:55:45 -0400

rdkit (202309.3-4~exp1) experimental; urgency=medium

  * Team upload.
  * Rename libraries for 64-bit time_t transition.
  * Disable building of the PDF documentation due to #1069873.

 -- Andrius Merkys <merkys@debian.org>  Fri, 26 Apr 2024 09:28:39 +0300

rdkit (202309.3-3) unstable; urgency=medium

  * Team upload.
  * Include CMake files in librdkit-dev (Closes: #1064953)

 -- Andrius Merkys <merkys@debian.org>  Wed, 28 Feb 2024 04:43:17 -0500

rdkit (202309.3-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Mon, 19 Feb 2024 20:49:34 +0000

rdkit (202309.3-2) unstable; urgency=medium

  * Team upload.
  * Fix postgres_Makefile_fixes.patch for PG <= 13.
  * Ignore test failures on i386 and s390x.

 -- Christoph Berg <myon@debian.org>  Wed, 17 Jan 2024 13:03:19 +0000

rdkit (202309.3-1) unstable; urgency=medium

  * New upstream point release.
  * debian/patches/catch2_v3_support.patch: Removed, no longer needed.

 -- Michael Banck <mbanck@debian.org>  Fri, 29 Dec 2023 16:59:15 +0100

rdkit (202309.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/sphinx_imgconverter.patch: Refreshed.
  * debian/patches/sphinx_compile_fixes.patch: Likewise.
  * debian/patches/catch2_header.patch: Removed, no longer needed.
  * debian/patches/catch2_v3_support.patch: New patch, add support for v3 of
    catch2 as system library, taken from upstream pull request #6898 (Closes:
    #1054790).
  * debian/patches/pg16: Updated with changes from upstream pull request #6733.
  * debian/patches/postgres_Makefile_fixes.patch: Updated for new changes.

 -- Michael Banck <mbanck@debian.org>  Sun, 12 Nov 2023 20:13:03 +0100

rdkit (202303.3-3) unstable; urgency=medium

  * Source-only team upload.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Sep 2023 10:44:34 +0200

rdkit (202303.3-2) unstable; urgency=medium

  * Team upload for PostgreSQL 16.
  * Fix compatibility with PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Sep 2023 13:49:49 +0000

rdkit (202303.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Builds with GCC-13. (Closes: #1037837)
    - Builds with LTO enabled. (Closes: #1015650)
  * debian/rules (override_dh_install): work around files going to a
    versioned /usr/lib/python3.XX/site-packages directory, instead of the
    desired /usr/lib/python3/dist-packages.
  * debian/rules (override_dh_auto_clean): Docs/Book/Cookbook.rst is shipped
    in the current upstream tarball, so don't remove it in the clean target.
  * debian/control, control.in:
    - rdkit-doc: add Depends on libjs-jquery, libjs-underscore. (Closes: #990653)
    - Add Build-Depends on python3-myst-parser.
    - Update B-Ds on transitional packages, libfreetype6-dev -> libfreetype-dev
      and libcairo-dev -> libcairo2-dev.
    - Bump Standards-Version to 4.6.2 and remove unused fields.
  * debian/upstream/metadata: Add Repository, Bug-Database URLs.
  * debian/rules: Remove obsolete --parallel option.
  * Rebase patches and update lintian overrides.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 03 Sep 2023 09:06:22 -0700

rdkit (202209.3-1) unstable; urgency=medium

  * New upstream point release.
  * debian/patches/postgres_Makefile_fixes.patch: Updated, removed one hunnk
    that got applied upstream. 

 -- Michael Banck <mbanck@debian.org>  Sat, 14 Jan 2023 13:24:33 +0100

rdkit (202209.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/gcc12_compile_fixes.patch: Removed, applied upstream.
  * debian/patches/postgres_compile_fixes.patch: Likewise.
  * debian/patches/postgres_Makefile_fixes.patch: Refreshed.
  * debian/patches/sphinx_compile_fixes.patch: Likewise.
  * debian/patches/sphinx_imgconverter.patch: Likewise.
  * debian/patches/postgres_Makefile_fixes.patch: Compile clang bytecode with
    -std=c++17.
  * debian/patches/postgres_Makefile_fixes.patch: Update RDKit version number.
  * debian/gbp.conf: Set import-orig filter for upstream .gitattributes. 

 -- Michael Banck <mbanck@debian.org>  Sat, 05 Nov 2022 10:43:38 +0100

rdkit (202203.2-3) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 17:23:15 +0200

rdkit (202203.2-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/gcc12_compile_fixes.patch: Correct a variable definition
    required to build with GCC 12.  (Closes: #1013028)

 -- Nicholas Breen <nbreen@debian.org>  Mon, 08 Aug 2022 10:09:27 -0700

rdkit (202203.2-1) unstable; urgency=medium

  * Team upload.

  [ Debichem Team ]
  * New upstream release.

  [ Michael Banck ]
  * debian/patches/postgres_disable_failing_tests.patch: Removed, no longer
    needed.
  * debian/patches/postgres_compile_fixes.patch: Refreshed.

  [ Christoph Berg ]
  * debian/patches/extra_float_digits: Set e_f_t=0 in bfpgin test.
  * debian/salsa-ci.yml: Set DEB_BUILD_OPTIONS: noautodbgsym to fit in Salsa's
    maximum artifact size.
  * debian/source/lintian-overrides: Override source-is-missing
    Code/Demos/RDKit/Draw/draw.html.
  * debian/clean: Remove some generated Code/RDGeneral/*.h files.
  * debian/clean: Remove .gitattributes.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Apr 2022 10:49:49 +0200

rdkit (202109.2-1) unstable; urgency=medium

  * New upstream release.
    + Includes updated PostgreSQL regression outputs (Closes: #1000579).
  * debian/patches/postgres_compile_fixes.patch: Refreshed. 
  * debian/patches/postgres_Makefile_fixes.patch: Add RDK_TOOLKIT_VERSION
    definition, hardcoded to current release for now.
  * debian/rules (DH_AUTO_CONFIGURE_OPTS): Added -DRDK_INSTALL_COMIC_FONTS=OFF
    (Closes: #999767).
  * debian/control.in,debian/control (Build-Depends): Added libcairo-dev.
  * debian/rules (DH_AUTO_CONFIGURE_OPTS): Added -DRDK_BUILD_CAIRO_SUPPORT=ON.

 -- Michael Banck <mbanck@debian.org>  Sun, 28 Nov 2021 09:45:28 +0100

rdkit (202103.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/sphinx_compile_fixes.patch: Refreshed. 
  * debian/control (postgresql-PGVERSION-rdkit): Bump PostgreSQL version to 14
    (Closes: #997745).

 -- Michael Banck <michael.banck@credativ.de>  Thu, 11 Nov 2021 18:22:40 +0100

rdkit (202009.5-2) unstable; urgency=medium

  * Team upload.
  * Adding missing build dependency on tex-gyre (Closes: #995241)

 -- Andrius Merkys <merkys@debian.org>  Tue, 28 Sep 2021 08:56:39 -0400

rdkit (202009.5-1) unstable; urgency=medium

  * New upstream point release.
  * debian/watch: Updated.
  * debian/patches/sphinx_compile_fixes.patch: Drop hunk that got applied
    upstream.
  * debian/patches/postgres_compile_fixes.patch: Refreshed. 

 -- Michael Banck <mbanck@debian.org>  Fri, 14 May 2021 23:46:40 +0200

rdkit (202009.4-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Sun, 21 Feb 2021 11:42:05 +0100

rdkit (202009.3-2) unstable; urgency=medium

  * debian/control.in,debian/control (Build-Depends): Added libeigen3-dev.

 -- Michael Banck <mbanck@debian.org>  Tue, 19 Jan 2021 15:41:58 +0100

rdkit (202009.3-1) unstable; urgency=medium

  * New upstream point release.
  * debian/patches/postgres_compile_fixes.patch: Updated, dropped hunks that
    got applied upstream.

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Jan 2021 22:35:22 +0100

rdkit (202009.1-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * Team upload.
  * New upstream version 202009.1
  * Refreshing patches.

  [ Michael Banck ]
  * debian/control.in,debian/control (Build-Depends): Added libfreetype6-dev.
  * debian/patches/postgres_compile_fixes.patch: Updated.
  * debian/patches/sphinx_compile_fixes.patch: Add new compile fix.
  * debian/control.in,debian/control (Build-Depends): Added python3-sqlalchemy.

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Jan 2021 18:13:28 +0100

rdkit (202003.4-4) unstable; urgency=medium

  * Team upload.
  * No-changes source-only upload.

 -- Andrius Merkys <merkys@debian.org>  Mon, 02 Nov 2020 01:09:33 -0500

rdkit (202003.4-3) unstable; urgency=medium

  * Team upload.
  * Updating postgresql version (Closes: #973027).

 -- Andrius Merkys <merkys@debian.org>  Wed, 28 Oct 2020 09:10:34 -0400

rdkit (202003.4-2) unstable; urgency=medium

  * debian/patches/postgres_compile_fixes.patch: New patch, fixes compile
    errors on PostgreSQL-12 (Closes: #964656).
  * debian/patches/sphinx_compile_fixes.patch: New patch, fixes build failures
    with Sphinx-3.1 (Closes: #963637).

 -- Michael Banck <mbanck@debian.org>  Wed, 23 Sep 2020 09:35:31 +0200

rdkit (202003.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/postgres_Makefile_fixes.patch: Updated.
  * debian/patches/postgres_disable_failing_tests.patch: Likewise.
  * debian/rules (DH_AUTO_CONFIGURE_OPTS): Added -DBoost_NO_BOOST_CMAKE=TRUE.

 -- Michael Banck <mbanck@debian.org>  Tue, 07 Jul 2020 20:11:43 +0200

rdkit (201909.1-4) unstable; urgency=medium

  * Team upload.
  * Replacing libschroedinger-coordgenlibs-dev with libcoordgen-dev.
  * No need to patch Code/cmake/Modules/Findcoordgen.cmake anymore.

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 May 2020 06:21:19 -0400

rdkit (201909.1-3) unstable; urgency=medium

  * Team upload.
  * Fixing FTBFS with llvm-10 (Closes: #955669).
  * Replacing libschroedinger-maeparser-dev with libmaeparser-dev
    (Closes: #945985).
  * Bumping versioned build-depends of libschroedinger-coordgenlibs-dev.

 -- Andrius Merkys <merkys@debian.org>  Mon, 06 Apr 2020 09:34:18 -0400

rdkit (201909.1-2) unstable; urgency=medium

  * Team upload.
  * Building without URF support as it tries to download unpackaged software
    (Closes: #950141).

 -- Andrius Merkys <merkys@debian.org>  Wed, 29 Jan 2020 11:08:40 -0500

rdkit (201909.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update extension to postgresql-12-rdkit.
  * debian/patches/postgres_Makefile_fixes.patch: Updated for llvm9.
  * debian/patches/postgres_alternative_test_outputs.patch: New patch, adds
    alternative regression tests outputs for PostgreSQL 12.

 -- Michael Banck <mbanck@debian.org>  Sun, 03 Nov 2019 06:55:15 +0100

rdkit (201903.1-2) unstable; urgency=medium

  * Team upload.

  [ Daniel Leidert ]
  * Add CI support
  * Use salsa-ci.yml as CI config and fix gbp.conf
  * Trigger rebuild

  [ Andrius Merkys ]
  * Removing build-dependency on no longer existing texlive-generic-extra
    (Closes: #933210)

 -- Andrius Merkys <merkys@debian.org>  Tue, 20 Aug 2019 01:11:38 -0400

rdkit (201903.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Removed Files-Excluded, no longer needed. 
  * debian/patches/NoDownloads.patch: Remove CoordGen-specific hunks and add
    another CoordGen-specific hunk that drops the template.mae template
    support.
  * debian/patches/sphinx_imgconverter.patch: Updated.
  * debian/patches/postgres_v11_support.patch: Removed, no longer needed.
  * debian/patches/testcase_32bit_fix.patch: Likewise.
  * debian/patches/fix_coordgen_include_path.patch: Likewise.
  * debian/control.in (Build-Depends): Added libboost-iostreams-dev.
  * debian/control.in (Build-Depends): Added versioned Depends on version 1.1-4
    of libschroedinger-coordgenlibs-dev.
  * debian/control.in (python-rdkit): Package removed.
  * debian/control.in (Build-Depends): Removed python-dev, python-numpy,
    python-pandas and python-pil.
  * debian/rules: Removed python(2) support.
  * debian/control.in (Build-Depends): Added versioned Depends on version 1.2-1
    of libschroedinger-maeparser-dev.
  * debian/control: Regenerated.
  * debian/rules (override_dh_install): Remove pycache directory before
    install.

 -- Michael Banck <mbanck@debian.org>  Tue, 23 Jul 2019 12:27:30 -0300

rdkit (201809.1+dfsg-7) unstable; urgency=medium

  * Team upload.

  [ Alexandre Mestiashvili ]
  * Update d/control.in, add python3-rdkit package and python3 build-deps
    (Closes: #919161)
  * Update d/rules, enable hardening, build python2 and python3 bindings
  * Remove debian/python-rdkit.install, install modules via d/rules
  * Update d/control with pg_buildext updatecontrol

 -- Andrius Merkys <merkys@debian.org>  Wed, 01 May 2019 07:56:24 -0400

rdkit (201809.1+dfsg-6) unstable; urgency=medium

  * debian/patches/fix_coordgen_include_path.patch: New patch, fixes the
    include path for system-installed coordgen headers. 

 -- Michael Banck <mbanck@debian.org>  Thu, 31 Jan 2019 14:20:27 +0100

rdkit (201809.1+dfsg-5) unstable; urgency=medium

  * debian/patches/series: Reenabled and refreshed NoDownloads.patch (Closes:
    #920986).

 -- Michael Banck <mbanck@debian.org>  Thu, 31 Jan 2019 12:36:47 +0100

rdkit (201809.1+dfsg-4) unstable; urgency=medium

  * debian/patches/postgres_Makefile_fixes.patch: Replace @RDKIT_PARALLEL_SAFE@
    tag according to version.
  * debian/control.in: Added libschroedinger-coordgenlibs-dev and
    libschroedinger-maeparser-dev.
  * debian/control: Regenerated.
  * debian/rules (override_dh_auto_configure): Removed
    -DRDK_BUILD_COORDGEN_SUPPORT=OFF and -RDK_BUILD_MOLINTERCHANGE_SUPPORT=OFF.
  * debian/patches/disable_hanging_test.patch: Removed and replaced with ...
  * debian/patches/testcase_32bit_fix.patch: ... this patch, taken from
    upstream commit 3f3613c8.

 -- Michael Banck <mbanck@debian.org>  Sat, 26 Jan 2019 15:09:55 +0100

rdkit (201809.1+dfsg-3) unstable; urgency=medium

  * debian/control.in (Build-Depends): Removed python-epydoc (Closes: #881562).
  * debian/control: Regenerated.

 -- Michael Banck <mbanck@debian.org>  Wed, 09 Jan 2019 10:58:57 +0100

rdkit (201809.1+dfsg-2) unstable; urgency=medium

  * debian/patches/catch2_header.patch: New patch, adds the catch2 headers from
    https://github.com/catchorg/Catch2/ which are otherwise downloaded during
    build.

 -- Michael Banck <mbanck@debian.org>  Wed, 09 Jan 2019 10:46:23 +0100

rdkit (201809.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/disable_hanging_test.patch: Updated.
  * debian/copryright (Files-Excluded): Removed files no longer present in the
    upstream tarballs.
  * debian/patches/sphinx_imgconverter.patch: New patch, enabled the Sphinx
    imgconverter extension in order to conver the .svg files for LaTeX.
  * debian/control.in (Build-Depends): Added imagemagick and librsvg2-bin.
  * debian/control: Regenerated.
  * debian/rules (override_dh_auto_build): Remove epydoc build, no longer
    present upstream.

 -- Michael Banck <mbanck@debian.org>  Wed, 09 Jan 2019 00:00:46 +0100

rdkit (201803.4+dfsg-3) unstable; urgency=medium

  * debian/patches/postgres_Makefile_fixes.patch: Remove -mpopcnt from
    PG_CPPFLAGS.
  * debian/control.in (postgresql-PGVERSION-rdkit/Section): Fixed.
  * debian/control.in: Fixed spelling error in description.
  * debian/control.in (postgresql-PGVERSION-rdkit/Description): Shortened short
    description.
  * debian/control: Regenerated.

 -- Michael Banck <mbanck@debian.org>  Tue, 08 Jan 2019 21:00:28 +0100

rdkit (201803.4+dfsg-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Point Vcs fields to Salsa

  [ Michael Banck ]
  * debian/patches/disable_hanging_test.patch: New patch, removes the
    testEnumeration test, which makes 32-bit architectures hang
    (Closes: #894202).

 -- Michael Banck <mbanck@debian.org>  Tue, 08 Jan 2019 17:03:28 +0100

rdkit (201803.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Team upload.

  [ Steffen Moeller ]
  * Standards-Version: 4.2.1

  [ Michael Banck ]
  * debian/rules (override_dh_auto_configure): -DRDK_BUILD_COORDGEN_SUPPORT=OFF
    and -RDK_BUILD_MOLINTERCHANGE_SUPPORT=OFF added.
  * debian/patches/series: Disabled NoDownloads.patch.
  * debian/control (Build-Depends): Added postgresql-server-dev-all.
  * debian/control.in: New file, add postgresql-PGVERSION-rdkit package.
  * debian/control: Refreshed for unstable.
  * debian/pgversions: New file.
  * debian/patches/postgres_v11_support.patch: New patch, adds support for
    PostgreSQL 11.
  * debian/rules: Add PostgreSQL extension support via pg_buildext.
  * debian/patches/postgres_Makefile_fixes.patch: New patch, adds assorted
    fixes for the PostgreSQL Cartridge Makefile.
  * debian/patches/postgres_disable_failing_tests.patch: New patch, disables
    some installcheck tests that fail with Boost assertions.
  * debian/tests/control, debian/tests/installcheck: Add autopkgtests for the
    PostgreSQL Cartridge.

 -- Michael Banck <mbanck@debian.org>  Sun, 09 Dec 2018 14:10:19 +0100

rdkit (201709.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    Closes: #893177
  * d/watch: uversionmangle to match chosen Debian version
  * Build-Depends: s/python-imaging/python-pil/
  * Fix doc generation by using python3-sphinx and python3-recommonmark
    in Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 26 Mar 2018 13:18:47 +0200

rdkit (201603.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * DEP5
  * Repack tarball to exclude *.chm file
  * Build-Depends: latexmk
    Closes: #872246
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Mon, 18 Dec 2017 12:09:00 +0100

rdkit (201603.5-2) unstable; urgency=medium

  * Team upload.
  * debian/control (Build-Depends): Added pandoc and
    texlive-generic-extra. (Closes: #831264)
  * debian/rules (override_dh_auto_configure): Added
    -DRDK_OPTIMIZE_NATIVE=OFF to prevent FTBFS on ppc64el.

 -- Graham Inggs <ginggs@debian.org>  Mon, 07 Nov 2016 14:50:50 +0200

rdkit (201603.5-1) unstable; urgency=medium

  * New upstream release.  New features include:
   - Addition of parsers/writers for sequence notation, FASTA, and basic HELM
   - Improved conformation generation based on experimental torsional
     parameters
   - Much better filtering of generated conformations to ensure they
     match the chirality of the input structure
   - New method for enumerating molecular resonance structures
   - Addition of a molecular FilterCatalog data structure

  [ Daniel Leidert ]
  * debian/compat: Raised to level 9.
  * debian/control (Build-Depends): Switched to dh-python (closes: #786180).
    (Standards-Version): Bumped to 3.9.6.
    (Depends): Dropped python-numpy and let dh_numpy handle this.
  * debian/rules: Added override for dh_python2 and call dh_numpy.
  * debian/watch: Updated after project moved to Github.
  * debian/patches/series: Added.

  [ Michael Banck ]
  * debian/rules (override_dh_auto_clean): No longer remove
    Code/RDGeneral/versions.h, this is shipped upstream now.
  * debian/rdkit-doc.install: Removed, no longer needed.
  * debian/rules (override_dh_installchangelogs): Update for new ReleaseNotes
    extension.
  * debian/rules (override_dh_auto_clean): Added Code/RDGeneral/versions.cpp
    and auto-generated restructed-text source files.

 -- Michael Banck <mbanck@debian.org>  Sun, 23 Oct 2016 23:07:02 +0200

rdkit (201503-2) unstable; urgency=medium

  * debian/rules (override_dh_install): Create $(DOCDIR).

 -- Michael Banck <mbanck@debian.org>  Tue, 09 Jun 2015 01:31:58 +0200

rdkit (201503-1) unstable; urgency=medium

  * New upstream release (closes: #785192).
  * debian/control (Description): Updated.
  * debian/control (Build-Depends): Added python-sphinx
  * debian/rules (override_dh_auto_build): New rule, build PDF user
    documentation.
  * debian/control (Build-Depends): Added doxygen and python-epydoc.
  * debian/rdkit-doc.dirs: New file.
  * debian/rules (DOCDIR): New variable.
  * debian/rdkit-doc.install: Only install overview presentation.
  * debian/rules (override_dh_auto_build): Build python and C++ API
    documentation with python-epydoc and doxygen, as well as HTML
    documentation.
  * debian/rules (override_dh_install): Install PDF and HTML documentation.
  * debian/rdkit-doc.doc-base: Reference PDF/HTML documentation and no longer
    the overview PDF.
  * debian/rules (override_dh_auto_clean): Remove files generated while
    building documentation.
  * debian/control (Build-Depends): Added texlive-latex-base,
    texlive-latex-recommended, texlive-latex-extra and
    texlive-fonts-recommended.

 -- Michael Banck <mbanck@debian.org>  Sun, 07 Jun 2015 15:07:00 +0200

rdkit (201403-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/733359_bison3_compatibility.patch: Dropped. Fix applied to upstream.
  * debian/patches/series: Removed.

 -- Michael Banck <mbanck@debian.org>  Sat, 25 Oct 2014 19:11:53 +0200

rdkit (201309-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Standards-Version): Bumped to 3.9.5.
  * debian/patches/733359_bison3_compatibility.patch: Added.
    - Fix syntax for bison 3.x to fix FTBFS (closes: #733359).
  * debian/patches/series: Added.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 29 Dec 2013 01:53:13 +0100

rdkit (201306-2) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Added python-imaging for pythonTestDirChem.
  * debian/rules (override_dh_auto_test): Fixed LD_LIBRARY_PATH to re-enable
    tests. Added path to rdchem.so to PYTHONPATH to fix pythonTestDirChem.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Thu, 01 Aug 2013 00:31:14 +0200

rdkit (201306-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
  * debian/patches/fix_ftbfs_mtsss.patch: Dropped. Fix applied to upstream.
  * debian/patches/series: Removed.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Tue, 30 Jul 2013 01:58:06 +0200

rdkit (201303-1) unstable; urgency=low

  * New upstream release.

  [ Michael Banck ]
  * debian/patches/big-endian_support.patch: Removed, applied upstream.
  * debian/rules (override_dh_auto_test): Honor DEB_BUILD_OPTIONS=nocheck.
  * debian/rules (override_dh_auto_test): Ignore test suite failures for now.
  * debian/rules (override_dh_install): New target, run dh_numpy.

  [ Daniel Leidert ]
  * debian/control: Dropped DM-Upload-Allowed. Added Provides and
    XB-Python-Version for python package.
    (Build-Depends): Added libboost-system-dev and libboost-thread-dev.
    Added python-pandas for tests.
    (Standards-Version): Bumped to 3.9.4.
    (Section): Fixed binary-control-field-duplicates-source.
    (Depends): Added missing depends to library for dev package. Added
    fonts-freefont-ttf because python-rdkit uses FreeSans.ttf.
  * debian/copyright: Updated.
  * debian/librdkit1.lintian-overrides: Added.
  * debian/python-rdkit.links: Add link for FreeSans.ttf.
  * debian/rdkit-doc.doc-base: Added.
  * debian/rules: Enabled hardening. Installed upstream changelog.
    (override_dh_auto_configure): Added -DRDK_BUILD_THREADSAFE_SSS=ON,
    -DCMAKE_SKIP_RPATH and -DCMAKE_BUILD_TYPE=None.
    (override_dh_install): List missing files.
  * debian/patches/fix_ftbfs_mtsss.patch: Added.
    - Fix linkage of libRDBoost.so when using -DRDK_BUILD_THREADSAFE_SSS=ON.
  * debian/patches/series: Adjusted.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sat, 25 May 2013 12:48:23 +0200

rdkit (201203-3) unstable; urgency=low

  * debian/patches/big-endian_support.patch: New patch, fixes big-endian
    architectures, taken from upstream revisions 2071, 2079, 2080 and 2140.
  * debian/rules (override_dh_auto_test): Activate testsuite again
    (Closes: #678188).

 -- Michael Banck <mbanck@debian.org>  Sat, 28 Jul 2012 21:18:42 +0200

rdkit (201203-2) unstable; urgency=low

  * debian/rules (override_dh_auto_test): Deactivated for now
    (Closes: #670053, #670054).

 -- Michael Banck <mbanck@debian.org>  Tue, 12 Jun 2012 13:45:10 +0200

rdkit (201203-1) unstable; urgency=low

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Fri, 18 May 2012 15:09:10 +0200

rdkit (201112-1) unstable; urgency=low

  * New upstream release.  The RDKit book license has been clarified to
    Creative Commons Attribution-ShareAlike 3.0 License, so a stripped
    original tarball is no longer required.

  [ Michael Banck ]
  * debian/control (python-rdkit): Added python-numpy to Depends.
  * debian/rdkit-doc.install: Fix path (Closes: #661976).
  * debian/rules (override_dh_auto_test): Copy over python files into obj
    directory and set $PYTHONPATH correctly, thanks to Jakub Wilk.  Also set
    $RDBASE accordingly.
  * debian/rules (override_dh_auto_clean): New target, remove some files added
    during build which do not get removed by the default dh_auto_clean.

  [ Daniel Leidert (dale) ]
  * debian/watch: Added.

 -- Michael Banck <mbanck@debian.org>  Sun, 04 Mar 2012 19:50:59 +0100

rdkit (201106+dfsg-1) unstable; urgency=low

  * Initial upload (Closes: #640118).

 -- Michael Banck <mbanck@debian.org>  Sat, 03 Sep 2011 16:14:53 +0200
